- Qt 5.15
- Qt GUI
- C++ Classes
- QTextOption
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTextOption

The following members of class QTextOption are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | setTabStop(qreal tabStop)
`(obsolete)` qreal | tabStop() const

## Member Function Documentation

### void QTextOption::setTabStop(qreal tabStop)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

in Qt 5.10. Use setTabStopDistance() instead.

Sets the default distance in device units between tab stops to the value specified by tabStop.

See also tabStopDistance(), setTabArray(), setTabs(), and tabs().

### qreal QTextOption::tabStop() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

in Qt 5.10. Use tabStopDistance() instead.

Returns the distance in device units between tab stops. Convenient function for the above method

See also setTabStopDistance(), tabArray(), setTabs(), and tabs().